petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMShellSetGlobalVector

sets a template global vector associated with the DMShell

### Synopsis

    #include "petscdmshell.h"
    PetscErrorCode DMShellSetGlobalVector(DM dm,Vec X)

Logically Collective on DM Many br

### Input Arguments

| dm | - shell DM Many br
| X | - template vector Many br

Many br

### See Also

DMCreateGlobalVector(), DMShellSetMatrix(), DMShellSetCreateGlobalVector()

Level:advanced
Location:src/dm/impls/shell/dmshell.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages